Bug 129374 - iptraf segfaults while monitoring traffic
iptraf segfaults while monitoring traffic
Status: CLOSED DUPLICATE of bug 121697
Product: Fedora
Classification: Fedora
Component: iptraf (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Karsten Hopp
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-06 22:48 EDT by Erik Carlseen
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 14:05:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Erik Carlseen 2004-08-06 22:48:02 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7)
Gecko/20040614 Firefox/0.8

Description of problem:
IPtraf segfaults very consistently on two of my systems that are being
used as routers / firewalls. The two systems have nearly nothing in
common hardware-wise, other than they both use Intel 10/100 NICs for
some of the Interfaces (the Intel NICs use different chipsets, but
they both use the e100 driver).

In any case, monitoring any interface for more than a few seconds
results in a segfault. I've also tried building iptraf from source;
the result is the same. These are the only machines I have these
problems with; iptraf is fine on Fedora Core 1, RH9 / 8 / 7, etc.

I've tried enabling / disabling various options; they don't seem to
affect the problem.

Version-Release number of selected component (if applicable):
2.7.0

How reproducible:
Always

Steps to Reproduce:
0. Run a machine that behaves as a router / firewall (using iptables).
I'm not 100% sure that this behavior doesn't occur on machines that
don't route; I don't have any such to do any testing on.
1. Load IPTRAF
2. Monitor an interface
3. Wait a few seconds
    

Actual Results:  Segmentation Fault

Expected Results:  Happy connection observations.

Additional info:

It's extremely reproduceable.
Comment 1 Karsten Hopp 2004-08-08 07:40:44 EDT
Does anything show up in /var/log/messages or in the output of 
dmesg ?  
Is this similar to bug 121697 ? 
Comment 2 Erik Carlseen 2004-08-08 16:37:14 EDT
The following is from /var/log/messages:


Aug  8 13:36:12 system kernel: Unable to handle kernel NULL pointer
dereference at virtual address 00000000
Aug  8 13:36:12 system kernel:  printing eip:
Aug  8 13:36:12 system kernel: 02235532
Aug  8 13:36:12 system kernel: *pde = 00000000
Aug  8 13:36:12 system kernel: Oops: 0000 [#9]
Aug  8 13:36:12 system kernel: CPU:    0
Aug  8 13:36:12 system kernel: EIP:    0060:[<02235532>]    Not tainted
Aug  8 13:36:12 system kernel: EFLAGS: 00010202   (2.6.5-1.358)
Aug  8 13:36:12 system kernel: EIP is at __dev_get_by_index+0x14/0x2b
Aug  8 13:36:12 system kernel: eax: 0dab6934   ebx: 0ed69ef4   ecx:
00000005   edx: 00000000
Aug  8 13:36:12 system kernel: esi: fef1caf0   edi: 00008910   ebp:
fef1caf0   esp: 0ed69eec
Aug  8 13:36:12 system kernel: ds: 007b   es: 007b   ss: 0068
Aug  8 13:36:12 system kernel: Process iptraf (pid: 4545,
threadinfo=0ed69000 task=0cf85130)
Aug  8 13:36:12 system kernel: Stack: 022365c7 00000000 090c2600
00000000 00000018 00000001 00000005 0806a3d5
Aug  8 13:36:12 system kernel:        fef1cb38 00000114 00008910
fef1caf0 00008910 fef1caf0 02236e50 fef1caf0
Aug  8 13:36:12 system kernel:        00000032 00000004 0213f1ba
03110de0 08132fec 00000c70 0cf3aa80 03110de0
Aug  8 13:36:12 system kernel: Call Trace:
Aug  8 13:36:12 system kernel:  [<022365c7>] dev_ifname+0x30/0x66
Aug  8 13:36:12 system kernel:  [<02236e50>] dev_ioctl+0x83/0x283
Aug  8 13:36:12 system kernel:  [<0213f1ba>] rw_vm+0x1ce/0x1ea
Aug  8 13:36:12 system kernel:  [<0227e14d>] packet_ioctl+0xe1/0xeb
Aug  8 13:36:12 system kernel:  [<022301a5>] sock_ioctl+0x268/0x280
Aug  8 13:36:12 system kernel:  [<022311f4>] sys_socketcall+0x118/0x179
Aug  8 13:36:12 system kernel:  [<0214ea0e>] sys_ioctl+0x1f2/0x224
Aug  8 13:36:12 system kernel:
Aug  8 13:36:12 system kernel: Code: 0f 18 02 90 2d 34 01 00 00 39 48
34 74 08 85 d2 89 d0 75 ea


************************************************************************

1) The bug doesn't appear to be the same as 121697 as I can view
statistical breakdowns without crashing (at least I haven't crashed
yet). The bug appears to occur only during monitoring. Also, I am not
running Squid (on these boxes anyway, I usually put on a DMZ'd box).

2) I can't be 100% certain, but the segfault appears to occur during
bursts of UDP traffic.
Comment 3 Karsten Hopp 2004-08-09 06:07:08 EDT
have a look at the oops, its very similar to the one in bug 121697. 
Btw: You really shouldn't be running kernel-2.6.5-1.358 anymore, 
we've released new kernel packages with security fixes. Please 
update to the latest of our kernel packages for FC2 and add comments 
to bug 121697 if the problem still exists with the new kernel. 

*** This bug has been marked as a duplicate of 121697 ***
Comment 4 Red Hat Bugzilla 2006-02-21 14:05:02 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.

Note You need to log in before you can comment on or make changes to this bug.